INV_IDENT (Java Platform SE 8 )
Keywords: org.omg.CORBA.INV_IDENT class
Date: 2015-11-19

org.omg.CORBA

## Class INV_IDENT

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.INV_IDENT

- All Implemented Interfaces:
    Serializable

      public final class INV_IDENT
      extends SystemException

  This exception indicates that an IDL identifier is syntactically invalid. It may be raised if, for example, an identifier passed to the interface repository does not conform to IDL identifier syntax, or if an illegal operation name is used with the DII.

  It contains a minor code, which gives more detailed information about what caused the exception, and a completion status. It may also contain a string describing the exception.

  Since:
    JDK1.2
  See Also:
    documentation on Java IDL exceptions

- - ### Field Summary

    - ### Fields inherited from class org.omg.CORBA.SystemException

      `completed, minor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `INV_IDENT()` Constructs an `INV_IDENT` exception with a default minor code of 0 and a completion state of COMPLETED_NO.
    `INV_IDENT(int minor, CompletionStatus completed)` Constructs an `INV_IDENT` exception with the specified minor code and completion status.
    `INV_IDENT(String s)` Constructs an `INV_IDENT` exception with the specified detail message, a minor code of 0, and a completion state of COMPLETED_NO.
    `INV_IDENT(String s, int minor, CompletionStatus completed)` Constructs an `INV_IDENT` exception with the specified detail message, minor code, and completion status.

  - ### Method Summary

    - ### Methods inherited from class org.omg.CORBA.SystemException

      `toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### INV_IDENT

          public INV_IDENT()

      Constructs an `INV_IDENT` exception with a default minor code of 0 and a completion state of COMPLETED_NO.

    - #### INV_IDENT

          public INV_IDENT(String s)

      Constructs an `INV_IDENT` exception with the specified detail message, a minor code of 0, and a completion state of COMPLETED_NO.
      Parameters:
        `s` - the String containing a detail message

    - #### INV_IDENT

          public INV_IDENT(int minor,
                           CompletionStatus completed)

      Constructs an `INV_IDENT` exception with the specified minor code and completion status.
      Parameters:
        `minor` - the minor code
        `completed` - a `CompletionStatus` object indicating the completion status

    - #### INV_IDENT

          public INV_IDENT(String s,
                           int minor,
                           CompletionStatus completed)

      Constructs an `INV_IDENT` exception with the specified detail message, minor code, and completion status. A detail message is a String that describes this particular exception.
      Parameters:
        `s` - the String containing a detail message
        `minor` - the minor code
        `completed` - a `CompletionStatus` object indicating the completion status

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.